petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCLMVMSetMatLMVM

Replaces the LMVM matrix inside the preconditioner with the one provided by the user.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCLMVMSetMatLMVM(PC pc, Mat B)

### Input Parameters

| pc | - An LMVM preconditioner
| B | - An LMVM-type matrix (MATLDFP, MATLBFGS, MATLSR1, MATLBRDN, MATLMBRDN, MATLSBRDN)

### Level

intermediate

### Location

src/ksp/pc/impls/lmvm/lmvmpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages